﻿//---------------------------------------------------------------------------------
// A group of utility functions which should be available right through the game
// #Author mike.cann@gmail.com
//---------------------------------------------------------------------------------

//---------------------------------------------------------------------------------
// Get time based position takes in a start time, an end time and a length of 
// animation and outputs the position the animation is at
//---------------------------------------------------------------------------------
function getTimeBasedPosition(startTime:Number, endTime:Number, animLength:Number):Number
{	
	var animTime:Number = endTime-startTime;
	var animFract:Number = animLength/animTime;
	var currentFrame:Number = animFract*(getTimer()-startTime);
	return Math.floor(currentFrame);
}

//---------------------------------------------------------------------------------
// Returns a random noumber within the specified range
//---------------------------------------------------------------------------------
function rndRange(min:Number, max:Number):Number 
{
    var randomNum:Number = Math.floor(Math.random() * (max - min + 1)) + min;
    return randomNum;
}